<template>
	<mobile-frame>
		<view class="main">
			<view class="one">
				<tabs :tabs="tabs" @tabsChange="tabsChange">
					<view class="tabsList">
						<scroll-view scroll-y="true" class="scroll-view" @scrolltolower="toPage">
							<view class="list-scroll-view">
								<view class="one_1">
									<view class="one_1_1">
										<picker v-if="tabs.active=='0'" class="picker" mode="selector" :range="ostatusList" @change="statusChange" range-key="label">
											<view>{{status_name||'请选择状态'}}</view>
										</picker>
										<picker v-else-if="tabs.active=='-1'" class="picker" mode="selector" :range="astatusList" @change="statusChange" range-key="label">
											<view>{{status_name||'请选择状态'}}</view>
										</picker>
										<picker v-else-if="tabs.active=='1'" class="picker" mode="selector" :range="gstatusList" @change="statusChange" range-key="label">
											<view>{{status_name||'请选择状态'}}</view>
										</picker>
									</view>
									<view class="one_1_2">
										<button size="mini" @tap="toDislog">筛选</button>
									</view>
								</view>
								<view class="one_2">
									<view class="list" v-for="(item, index) in list" :key="index">
										<view class="list_1" v-if="tabs.active=='0'" @tap="toView(item,'order')">
											<view class="list_1_1">
												<view class="shopname">
													<text class="iconfont icon-shangdian"></text>
													<text>{{item.shop.name}}</text>
												</view>
												<view class="status">
													{{item.zhStatus||'暂无'}}
												</view>
											</view>
											<view class="list_1_2">
												<view class="goods">
													<view class="goods_1">
														<image class="image" v-if="item.spec.file&&item.spec.file.length>0" :src="item.spec.file&&item.spec.file.length>0?item.spec.file[0].url:''" mode=""></image>
														<image class="image" v-else :src="item.goods.file&&item.goods.file.length>0?item.goods.file[0].url:''" mode=""></image>
													</view>
													<view class="goods_2">
														<view class="goodsname textOver">
															{{item.goods.name}}
														</view>
														<view class="specs">
															{{item.spec.name}}
														</view>
													</view>
													<view class="goods_3">
														<view class="price">
															¥{{item.spec.price||0}}
														</view>
														<view class="num">
															×{{item.num||0}}
														</view>
													</view>
												</view>
											</view>
											<view class="other">
												<text>共{{item.num||0}}件商品</text>
												<text>实付款¥{{item.pay}}</text>
											</view>
											<view class="btn">
												<button v-if="item.status=='0'||item.status=='1'" size="mini" @tap.stop="toCancel(item)">取消订单</button>
												<button v-if="item.status=='0'" size="mini" :disabled="disabled" @tap.stop="toPay(item)">支付</button>
												<button v-if="item.status=='2'||item.status=='3'||item.status=='2-'" size="mini" @tap.stop="toLogi(item,'order')">查看物流</button>
												<button v-if="item.status=='2'&&item.is_afterSale!=true" size="mini" @tap.stop="toConfirm(item,'order')">确认收货</button>
												<button v-if="item.status=='2'||item.status=='2-'&&item.is_afterSale!=true" size="mini" @tap.stop="toReject(item)">拒收</button>
												<button v-if="item.status=='3'" size="mini" @tap.stop="toAfter(item)">申请售后</button>
												<!-- 	<button v-if="item.status=='3'" type="default" size="mini"
													@tap.stop="toAppraise(item)">{{item.rate?'追加评价':'立即评价'}}</button> -->
											</view>
										</view>
										<view class="list_2" v-else-if="tabs.active=='-1'" @tap="toView(item,'after')">
											<view class="list_2_1">
												<view class="shopname">
													<text class="iconfont icon-shangdian"></text>
													<text>{{item.shop.name}}</text>
												</view>
												<view class="type">
													{{item.zhType||'暂无'}}
												</view>
											</view>
											<view class="list_2_2">
												<image class="image" v-if="item.spec.file&&item.spec.file.length>0" :src="item.spec.file&&item.spec.file.length>0?item.spec.file[0].url:''" mode=""></image>
												<image class="image" v-else :src="item.goods.file&&item.goods.file.length>0?item.goods.file[0].url:''" mode=""></image>
												<view class="other">
													<view class="name textOver">
														{{item.goods.name||'暂无'}}
													</view>
													<view class="other_1">
														商品规格：<text>{{item.spec.name||'暂无'}}</text>
													</view>
													<view class="other_1" v-if="item.type!='3'">
														退款：<text>¥{{item.money||0}}</text>
													</view>
													<view class="other_1">
														申请时间：<text>{{item.apply_time||'暂无'}}</text>
													</view>
													<view class="other_1">
														售后类型：<text>{{item.zhStatus||'暂无'}}</text>
													</view>
												</view>
											</view>
											<view class="btn">
												<button v-if="item.status=='0'" type="default" size="mini" @tap.stop="toCancels(item)">取消售后</button>
												<button v-if="item.type!='1'&&item.status=='2'||item.status=='3'&&!item.transport.shop_receive" type="default" size="mini" @tap.stop="toMaintain(item)">维护单号</button>
												<button v-if="item.type=='3'&&item.status=='3'||item.status=='-3'&&item.transport.customer_receive==true" type="default" size="mini" @tap.stop="toLogi(item,'after')">查看物流</button>
												<button v-if="item.type=='3'&&item.status=='3'&&item.transport.customer_receive==true" type="default" size="mini" @tap.stop="toConfirm(item,'after')">确认收货</button>
											</view>
										</view>
										<view class="list_2" v-else @tap.stop="toLook(item)">
											<view class="list_2_1">
												<view class="shopname">
													<text class="iconfont icon-shangdian"></text>
													<text>{{item.shop.name||'暂无'}}</text>
												</view>
												<view class="type">
													{{item.zhStatus||'暂无'}}
												</view>
											</view>
											<view class="list_2_2">
												<image class="image" :src="item.goods.file&&item.goods.file.length>0?item.goods.file[0].url:''" mode="">
												</image>
												<view class="other">
													<view class="name textOver">
														{{item.goods.name||'暂无'}}
													</view>
													<view class="other_1">
														开始时间：<text>{{item.start_time||'暂无'}}</text>
													</view>
													<view class="other_1">
														结束时间：<text>{{item.end_time||'暂无'}}</text>
													</view>
													<view class="other_1">
														人数限制：<text>{{item.person_limit||'暂无'}}人</text>
													</view>
													<view class="other_2">
														原价：<text>￥{{item.sell_price||'暂无'}}</text>团购价：<text>￥{{item.group_price||'暂无'}}</text>
													</view>
												</view>
											</view>
											<view class="btn">
												<button size="mini" v-if="item.status=='0'" open-type="share" @tap.stop="toShare(item)">分享</button>
												<button type="default" v-if="item.can_group==true&&item.status!='1'" size="mini" @tap.stop="toCan(item)">开团</button>
												<button type="default" v-if="item.status=='0'||item.status=='1'" size="mini" @tap.stop="toHandle(item)">团购订单</button>
												<button type="default" size="mini" v-if="item.status=='0'||item.status=='2'" @tap.stop="toSet(item)">散团</button>
											</view>
										</view>
									</view>
								</view>
							</view>
						</scroll-view>
					</view>
				</tabs>
			</view>
			<view class="dialog" v-if="dialog.show==true">
				<view class="dialog_1" v-if="dialog.type=='1'">
					<uni-forms ref="form" :modelValue="searchInfo" :rules="rules" label-width="auto">
						<uni-forms-item v-if="tabs.active!='-1'" label="商品名称" name="goods">
							<uni-easyinput type="text" v-model="searchInfo.goods" placeholder="请输入商品名称" />
						</uni-forms-item>
					</uni-forms>
					<view class="btn">
						<button type="primary" @click="onSubmit" size="mini">确定</button>
						<button type="primary" @click="dialogClose" size="mini">取消</button>
					</view>
				</view>
			</view>
		</view>
	</mobile-frame>
</template>

<script>
	import moment from 'moment';
	import tabs from '../components/tabs/index.vue';
	export default {
		components: {
			tabs
		},
		data() {
			return {
				// 设备平台信息
				system: {},
				user: {},
				searchInfo: {},
				list: [],
				total: 0,
				skip: 0,
				limit: 10,
				page: 0,
				statusList: [],
				tabs: {
					active: '0',
					menu: [{
							title: '团购订单',
							active: '0'
						},
						{
							title: '团购售后',
							active: '-1'
						}
					]
				},
				// 订单状态
				ostatusList: [],
				// 售后状态
				astatusList: [],
				// 团状态
				gstatusList: [],
				// 售后类型
				typeList: [],
				// 条件弹出框
				dialog: {
					show: false,
					type: '1'
				},
				// 状态名称
				status_name: '',
				// 禁用
				disabled: false
			};
		},
		onShow: function() {

		},
		onLoad: async function() {
			const that = this;
			await that.searchOther();
			await that.watchLogin();
		},
		onPullDownRefresh: async function() {
			const that = this;
			that.clearPage();
			await that.search()
			uni.stopPullDownRefresh();
		},
		onHide: async function() {
			const that = this;
			that.clearPage();
			await that.search()
		},
		methods: {
			// 监听用户是否登录
			watchLogin() {
				const that = this;
				uni.getStorage({
					key: 'token',
					success: async function(res) {
						let user = that.$jwt(res.data);
						that.$set(that, `user`, user);
						if (user.is_leader == '0' && that.tabs.menu.length <= 2) {
							that.tabs.menu.push({
								title: '团长处理',
								active: '1'
							})
						}
						// 设备平台信息
						let config = that.$config;
						that.$set(that, `system`, config.system);
						that.search()
					},
					fail: function(err) {
						uni.navigateTo({
							url: `/pages/login/index`
						})
					}
				})
			},
			// 查询列表
			async search() {
				const that = this;
				let user = that.user;
				if (user._id) {
					let info = {
						skip: that.skip,
						limit: that.limit,
					}
					let res;
					if (that.tabs.active == '0') {
						info.customer = user._id;
						res = await that.$api(`/groupOrder/userView`, 'GET', {
							...info,
							...that.searchInfo
						}, 'group')
						if (res.errcode == '0') {
							let list = [...that.list, ...res.data];
							for (let val of list) {
								let status = that.ostatusList.find(i => i.value == val.status)
								if (status) val.zhStatus = status.label;
							}
							that.$set(that, `list`, list);
							that.$set(that, `total`, res.total)
						}
					} else if (that.tabs.active == '-1') {
						info.customer = user._id;
						res = await that.$api(`/groupAfterSale/userView`, 'GET', {
							...info,
							...that.searchInfo
						}, 'group')
						if (res.errcode == '0') {
							let list = [...that.list, ...res.data];
							for (let val of list) {
								let type = that.typeList.find(i => i.value == val.type)
								if (type) val.zhType = type.label;
								let status = that.astatusList.find(i => i.value == val.status)
								if (status) val.zhStatus = status.label;
							}
							that.$set(that, `list`, list);
							that.$set(that, `total`, res.total)
						}
					} else {
						info.leader = user._id;
						res = await that.$api(`/group/userView`, 'GET', {
							...info,
							...that.searchInfo
						}, 'group')
						if (res.errcode == '0') {
							let list = [...that.list, ...res.data];
							for (let val of list) {
								let status = that.gstatusList.find(i => i.value == val.status)
								if (status) val.zhStatus = status.label;
							}
							that.$set(that, `list`, list);
							that.$set(that, `total`, res.total)
						}
					}
				}
			},
			// 查询条件
			toDislog() {
				const that = this;
				that.$set(that, `searchInfo`, {})
				that.$set(that, `status_name`, '')
				that.$set(that, `dialog`, {
					show: true,
					type: '1'
				})
			},
			// 状态选择
			statusChange(e) {
				const that = this;
				let data;
				if (that.tabs.active == '0') data = that.ostatusList[e.detail.value];
				if (that.tabs.active == '-1') data = that.astatusList[e.detail.value];
				if (that.tabs.active == '1') data = that.gstatusList[e.detail.value];
				if (data) {
					that.$set(that.searchInfo, `status`, data.value);
					that.$set(that, `status_name`, data.label);
					that.clearPage();
					that.search();
				}
			},
			// 关闭弹框
			dialogClose() {
				const that = this;
				that.clearPage();
				that.search();
				that.$set(that, `dialog`, {
					show: false,
					type: '1'
				})
			},
			// 查询
			onSubmit() {
				const that = this;
				that.clearPage();
				that.search();
				that.$set(that, `dialog`, {
					show: false,
					type: '1'
				})
			},
			// 选择选项卡
			tabsChange(e) {
				const that = this;
				that.$set(that.tabs, `active`, e.active)
				that.$set(that, `searchInfo`, {})
				that.$set(that, `status_name`, '')
				that.clearPage();
				that.search()
			},
			// 订单详细信息
			toView(item, type) {
				const that = this;
				that.clearPage();
				if (type == 'order') {
					uni.navigateTo({
						url: `/pagesMy/dough/info?id=${item._id}`
					})
				} else {
					uni.navigateTo({
						url: `/pagesMy/order/afterInfo?id=${item._id}&status=${'1'}`
					})
				}
			},
			// 取消订单-未支付||取消订单-已支付
			toCancel(e) {
				const that = this;
				uni.showModal({
					title: '提示',
					content: '确定取消订单吗?',
					success: async function(res) {
						if (res.confirm) {
							if (e.status == '0') {
								const arr = await that.$api(`/orderDeal/cancel`, 'POST', {
									order_id: e._id
								}, 'group');
								if (arr.errcode == '0') {
									uni.showToast({
										title: '申请取消订单完成',
										icon: 'none'
									})
									that.clearPage();
									that.search();
								} else {
									uni.showToast({
										title: arr.errmsg,
										icon: 'none'
									})
								}
							} else {
								if (e.is_afterSale != true) {
									let arr = await that.$api(`/groupAfterSale`, 'POST', {
										order: e._id,
										type: '4'
									}, 'group')
									if (arr.errcode == '0') {
										uni.showToast({
											title: '申请取消订单完成',
											icon: 'none'
										})
										that.clearPage();
										that.search();
									} else {
										uni.showToast({
											title: arr.errmsg,
											icon: 'none'
										})
									}
								} else {
									uni.showToast({
										title: `该订单有售后处理中`,
										icon: 'none'
									})
								}
							}
						}
					}
				});
			},
			// 支付
			async toPay(e) {
				const that = this;
				let system = that.system;
				that.$set(that, `disabled`, true)
				if (system.uniPlatform == "mp-weixin") {
					uni.showLoading({
						title: '加载中'
					})
					// 支付信息
					let p2 = await that.$api('/orderDeal/pay', 'POST', {
						order_id: e._id,
					}, 'group')
					if (p2.errcode == '0' && p2.data.paySign) {
						uni.requestPayment({
							"provider": "wxpay",
							...p2.data,
							success: function(res) {
								uni.showToast({
									title: '支付成功',
									icon: 'none'
								})
							},
							fail: function(err) {
								that.$set(that, `disabled`, false)
								uni.showToast({
									title: `支付失败`,
									icon: 'none'
								})
							},
							complete: function() {
								uni.hideLoading();
								that.clearPage();
								that.search()
							}
						})
					} else {
						that.$set(that, `disabled`, false)
						uni.showToast({
							title: p2.errmsg || '错误信息',
							icon: 'none'
						})
					}
				} else if (res.data.uniPlatform == "app") {
					// app支付
					uni.requestPayment({
						provider: 'alipay',
						orderInfo: 'orderInfo',
						success: function(res) {
							console.log('success:' + JSON.stringify(res));
						},
						fail: function(err) {
							console.log('fail:' + JSON.stringify(err));
						}
					});
				} else {
					uni.showToast({
						title: `平台不支持支付`,
						icon: 'none'
					})
				}
			},
			// 查看物流
			toLogi(e, type) {
				const that = this;
				that.clearPage();
				if (type == 'order') {
					uni.navigateTo({
						url: `/pagesMy/logistics/index?id=${e._id}&type=${'groupOrder'}`
					})
				} else {
					uni.navigateTo({
						url: `/pagesMy/logistics/index?id=${e._id}&type=${'groupAfterSale'}`
					})
				}
			},
			// 确认收货
			async toConfirm(e, type) {
				const that = this;
				uni.showModal({
					title: '提示',
					content: '确定确认收货吗?',
					success: async function(res) {
						if (res.confirm) {
							let arr;
							if (type == 'order') {
								arr = await that.$api(`/groupOrder/${e._id}`, 'POST', {
									status: '3'
								}, 'group');
							} else {
								e.transport.customer_receive = true;
								arr = await that.$api(`/groupAfterSale/${e._id}`, 'POST', {
									transport: e.transport
								}, 'group');
							}
							if (arr.errcode == '0') {
								uni.showToast({
									title: '确认收货成功',
									icon: 'none'
								})
								that.clearPage();
								that.search();
							} else {
								uni.showToast({
									title: arr.errmsg,
									icon: 'none'
								})
							}
						}
					}
				});
			},
			// 拒收
			async toReject(e) {
				const that = this;
				uni.showModal({
					title: '提示',
					content: '确定拒收快递吗?',
					success: async function(res) {
						if (res.confirm) {
							let arr = await that.$api(`/groupAfterSale`, 'POST', {
								order: e._id,
								type: '5'
							}, 'group')
							if (arr.errcode == '0') {
								uni.showToast({
									title: '拒收申请完成',
									icon: 'none'
								})
								that.clearPage();
								that.search();
							} else {
								uni.showToast({
									title: arr.errmsg,
									icon: 'none'
								})
							}
						}
					}
				});
			},
			// 立即评价
			toAppraise(e) {
				const that = this;
				that.clearPage();
				uni.navigateTo({
					url: `/pagesMy/order/appraise?id=${e._id}`
				})
			},
			// 申请售后
			toAfter(e) {
				const that = this;
				if (e.is_afterSale != true) {
					that.clearPage();
					uni.navigateTo({
						url: `/pagesMy/order/service?id=${e._id}&status=${'-3'}`
					})
				} else {
					uni.showToast({
						title: `该订单有售后处理中`,
						icon: 'none'
					})
				}
			},
			// 维护单号
			toMaintain(e) {
				uni.navigateTo({
					url: `/pagesMy/order/detail?id=${e._id}&status=${'1'}`
				})
			},
			// 取消售后
			toCancels(e) {
				const that = this;
				uni.showModal({
					title: '提示',
					content: '确定取消售后申请吗?',
					success: async function(res) {
						if (res.confirm) {
							const arr = await that.$api(`/groupAfterSale/${e._id}`, 'DELETE', {}, 'group');
							if (arr.errcode == '0') {
								uni.showToast({
									title: '取消售后成功',
									icon: 'none'
								})
								that.clearPage();
								that.search();
							} else {
								uni.showToast({
									title: arr.errmsg,
									icon: 'none'
								})
							}
						}
					}
				});
			},
			// 开团
			toCan(e) {
				const that = this;
				uni.showModal({
					title: '提示',
					content: '确定开团吗?',
					success: async function(res) {
						if (res.confirm) {
							const arr = await that.$api(`/group/${e._id}`, 'POST', {
								status: '1'
							}, 'group');
							if (arr.errcode == '0') {
								uni.showToast({
									title: '开团成功',
									icon: 'none'
								})
								that.clearPage();
								that.search();
							} else {
								uni.showToast({
									title: arr.errmsg,
									icon: 'none'
								})
							}
						}
					}
				});
			},
			// 团购订单
			toHandle(e) {
				const that = this;
				that.clearPage();
				uni.navigateTo({
					url: `/pagesMy/dough/handle?id=${e._id}`
				})
			},
			// 散团
			toSet(e) {
				const that = this;
				uni.showModal({
					title: '提示',
					content: '确定解散该团吗?',
					success: async function(res) {
						if (res.confirm) {
							let arr = await that.$api(`/group/${e._id}`, 'POST', {
								status: '-1'
							}, 'group')
							if (arr.errcode == '0') {
								uni.showToast({
									title: '修改状态成功',
									icon: 'none'
								})
								that.clearPage();
								that.search();
							} else {
								uni.showToast({
									title: arr.errmsg,
									icon: 'none'
								})
							}
						}
					}
				});
			},
			// 查看团购
			toLook(e) {
				const that = this;
				that.clearPage();
				uni.navigateTo({
					url: `/pagesHome/group/share?id=${e.goods._id}&group=${e._id}`
				})
			},
			// 分享
			toShare(e) {
				const that = this;
				that.$config.share = {
					title: e?.goods?.name,
					path: `/pagesHome/group/share?id=${e.goods._id}&group=${e._id}`,
					imageUrl: e?.goods?.file[0].url
				}
			},
			// 分页
			toPage(e) {
				const that = this;
				let list = that.list;
				let limit = that.limit;
				if (that.total > list.length) {
					uni.showLoading({
						title: '加载中',
						mask: true
					})
					let page = that.page + 1;
					that.$set(that, `page`, page)
					let skip = page * limit;
					that.$set(that, `skip`, skip)
					that.search();
					uni.hideLoading();
				} else {}
			},
			// 查询其他信息
			async searchOther() {
				const that = this;
				let res;
				// 查询状态
				res = await that.$api(`/dictData`, 'GET', {
					code: 'order_process'
				})
				if (res.errcode == '0') that.$set(that, `ostatusList`, res.data);
				res = await that.$api(`/dictData`, 'GET', {
					code: "afterSale_type"
				});
				if (res.errcode == '0') that.$set(that, `typeList`, res.data)
				res = await that.$api(`/dictData`, 'GET', {
					code: "afterSale_status"
				});
				if (res.errcode == '0') that.$set(that, `astatusList`, res.data)
				res = await that.$api(`/dictData`, 'GET', {
					code: "group_status"
				});
				if (res.errcode == '0') that.$set(that, `gstatusList`, res.data)
			},
			// 清空列表
			clearPage() {
				const that = this;
				that.$set(that, `list`, [])
				that.$set(that, `skip`, 0)
				that.$set(that, `limit`, 6)
				that.$set(that, `page`, 0)
			}
		}
	}
</script>

<style lang="scss">
	.main {
		display: flex;
		flex-direction: column;
		width: 100vw;
		height: 100vh;

		.one {
			position: relative;
			flex-grow: 1;
			padding: 2vw 0 0 0;

			.tabsList {
				position: relative;
				width: 100vw;
				height: 90vh;

				.one_1 {
					display: flex;
					align-items: center;
					justify-content: center;
					padding: 2vw;
					text-align: center;

					.one_1_1 {
						width: 75vw;
						padding: 0 2vw;

						.picker {
							font-size: var(--font14Size);
							border: 1px solid var(--f1Color);
							border-radius: 5px;
							padding: 2vw;
						}
					}

					button {
						background-color: #23B67A;
						color: #ffffff;
					}
				}

				.one_2 {
					.list {
						background-color: #fff;
						border: 1px solid var(--f5Color);
						padding: 2vw;
						margin: 0 2vw 2vw 2vw;
						border-radius: 5px;

						.list_1 {
							.list_1_1 {
								display: flex;
								justify-content: space-between;
								margin: 0 0 2vw 0;

								.shopname {
									text:last-child {
										padding: 0 0 0 2vw;
									}
								}

								.status {
									color: var(--fFB1Color);
								}
							}

							.list_1_2 {
								border-bottom: 1px solid #f1f1f1;

								.goods {
									display: flex;
									padding: 0 0 2vw 0;

									.goods_1 {
										width: 20vw;
										height: 20vw;

										.image {
											width: 100%;
											height: 100%;
											border-radius: 5px;
										}
									}

									.goods_2 {
										width: 55vw;
										padding: 0 0 0 2vw;

										.goodsname {
											font-size: 16px;
											margin: 0 0 1vw 0;
										}

										.specs {
											font-size: 14px;
											color: #858585;
										}
									}

									.goods_3 {
										width: 15vw;
										text-align: right;

										.price {
											color: var(--fFB1Color);
										}
									}
								}
							}

							.other {
								padding: 0 0 2vw 0;
								margin: 2vw 0;
								text-align: right;
								border-bottom: 1px solid #f1f1f1;

								text {
									font-size: 14px;
									padding: 0 0 0 2vw;
								}
							}

							.btn {
								text-align: right;

								button {
									margin: 0 1vw 0 0;
								}
							}
						}

						.list_2 {
							.list_2_1 {
								display: flex;
								justify-content: space-between;
								font-size: var(--font16Size);
								margin: 0 0 2vw 0;

								.shopname {
									text {
										margin: 0 0 0 1vw;
									}
								}

								.type {
									color: var(--fFB1Color);
								}
							}

							.list_2_2 {
								display: flex;
								justify-content: space-between;

								.image {
									width: 25vw;
									height: 25vw;
									margin: 0 2vw 1vw 0;
									border: 1px solid var(--f85Color);
								}

								.other {
									width: 65vw;
									flex-grow: 1;

									.name {
										font-size: var(--font16Size);
										margin: 0 0 1vw 0;
									}

									.other_1 {
										font-size: var(--font14Size);

										text {
											color: var(--f85Color);
										}
									}

									.other_2 {
										font-size: var(--font14Size);

										text {
											color: var(--fFB1Color);
											padding: 0 2vw 0 0;
										}
									}
								}
							}

							.btn {
								text-align: right;

								button {
									margin: 2vw 0 0 2vw;
								}
							}
						}
					}
				}
			}
		}
	}

	.dialog {
		position: fixed;
		width: 96vw;
		height: 100vh;
		background-color: #ffffff;
		z-index: 99999;
		display: flex;
		flex-direction: column;
		padding: 2vw;

		.uni-input {
			border: #f1f1ff 1px solid;
			padding: 2vw 2vw;
			border-radius: 1vw;
		}

		.picker {
			border: 1px solid #3333;
			border-radius: 5px;
			padding: 2vw;
		}

		.btn {
			text-align: center;

			button {
				margin: 0 2vw 2vw 2vw;
				background-color: #23B67A;
				color: #ffffff;
			}

			.name {
				color: var(--f85Color);
				font-size: var(--font14Size);
			}
		}
	}

	.scroll-view {
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;

		.list-scroll-view {
			display: flex;
			flex-direction: column;
		}
	}
</style>
